Fetching from: https://wsaz.com
Fetching from: https://wtap.com
Fetching from: https://wdtv.com
Fetching from: https://wymt.com
Fetching from: https://wboy.com
Fetching from: https://wowktv.com
Fetching from: https://wchstv.com
Fetching from: https://wvva.com
Fetching from: https://wjhl.com
Fetching from: https://wcyb.com
Fetching from: https://wvnstv.com

Collected 293 stories. Processing and inserting...
  - Impact[50] NLP[0.0]: Vigil held in honor of U.S. Army Spc. Sarah Beckstrom
  - Impact[5] NLP[0.0]: Two teams are heading to state’s
  - Impact[22] NLP[0.13]: Name released in deadly crash; Route 7 back open
  - Impact[25] NLP[0.0]: W.Va. Gov. addresses National Guard shooting from D.C.
  - Impact[0] NLP[0.12]: First Alert Weather | Wintry Conditions Ahead 
  - Impact[65] NLP[0.5]: One dead after four-wheeler crash
  - Impact[50] NLP[0.0]: Tree lighting ceremony held in Charleston
  - Impact[57] NLP[0.0]: St. Albans Festival of Lights big holiday draw
  - Impact[0] NLP[0.0]: W.Va. National Guard member dies after D.C. shooting
  - Impact[50] NLP[0.0]: Model railroad show held in Huntington
  - Impact[0] NLP[0.0]: Suspect in shooting of National Guard members faces murder charge as US halts all asylum decisions
  - Impact[50] NLP[0.0]: Black Friday shoppers line up at Huntington Mall
  - Impact[0] NLP[0.0]: WSAZ Gives Thanks
  - Impact[75] NLP[0.29]: Woodward Drive closed due to ATV crash
  - Impact[0] NLP[0.0]: Thanksgiving foods to avoid for your pets
  - Impact[0] NLP[0.22]: First Alert Weather | Friday, Nov. 28, 2026
  - Impact[0] NLP[0.0]: Trump says one of the two West Virginia National Guard members shot by Afghan national has died 
  - Impact[0] NLP[0.0]: Trump administration orders 500 more National Guard troops to DC after shooting of soldiers
  - Impact[0] NLP[0.0]: First Alert Weather+ | Thanksgiving weekend
  - Impact[0] NLP[0.0]: 2 National Guard members shot in an ambush attack just blocks from the White House
  - Impact[0] NLP[0.0]: Man arrested after shots-fired incident
  - Impact[0] NLP[0.0]: WSAZ Sports+ | The Game + Herd & Wildcats play for Bowl Eligibility
  - Impact[0] NLP[0.0]: Investigation underway after shooting involving two juveniles
  - Impact[0] NLP[0.32]: First Alert Weather Day: Gusty winds usher in much colder temperatures for Thanksgiving 
  - Impact[65] NLP[0.1]: Chase ends with WVSP cruiser crash
  - Impact[0] NLP[0.0]: Preparations underway for annual Frank Veltri dinner
  - Impact[10] NLP[0.18]: Facility for children with psychiatric issues to close
  - Impact[15] NLP[0.0]: Thanksgiving turnpike travel
  - Impact[50] NLP[0.0]: Man charged with attacking city workers on sidewalk
  - Impact[0] NLP[0.0]: US 23 Country Music Highway Museum
  - Impact[7] NLP[0.0]: Cooking safety tips from the American Red Cross
  - Impact[0] NLP[0.12]: Two WV National Guard members critical after D.C. shooting; victims identified
  - Impact[50] NLP[0.0]: Cabell-Huntington Health Department to end needle exchange program
  - Impact[0] NLP[0.0]: WSAZ Sports+ | State Semi-Finals in WV, KY & OH
  - Impact[0] NLP[0.0]: Christmas gift ideas at Twelvepole Trading Post
  - Impact[50] NLP[0.0]: Belpre holds annual Christmas tree lighting at Civitan Park
  - Impact[0] NLP[0.0]: WV State Police pursuit in Parkesburg 
  - Impact[50] NLP[0.0]: This Is Home: Parkersburg spa promotes wellness and community support for Small Business Saturday
  - Impact[15] NLP[0.4]: One person dead and two others taken to hospital after four-vehicle crash on SR-7
  - Impact[22] NLP[0.29]: Rainy and snowy stretch ahead
  - Impact[0] NLP[0.0]: Heddleston completes Northwestern University Police Staff and Command Program
  - Impact[30] NLP[0.62]: Quiet for now before rain and snow arrives Sunday 
  - Impact[50] NLP[0.0]: Tips for shopping safely this holiday season
  - Impact[22] NLP[0.0]: House to Home Day Shelter serves Thanksgiving meals to unhoused community
  - Impact[7] NLP[0.29]: 75th anniversary of the Great Appalachian Storm of 1950
  - Impact[0] NLP[0.0]: Trump says one of the two West Virginia National Guard members shot by Afghan national has died 
  - Impact[0] NLP[0.0]: Arts and entertainment events happening November 27th-30th across the Mid-Ohio Valley
  - Impact[50] NLP[0.0]: Wood County Board of Education receives forensic audit report
  - Impact[0] NLP[0.0]: Cold and breezy Thanksgiving
  - Impact[50] NLP[0.0]: Parkersburg Police investigating hit and run
  - Impact[0] NLP[0.0]: List of Thanksgiving meals offered around the Mid-Ohio Valley
  - Impact[0] NLP[0.0]: 2 National Guard members shot in an ambush attack just blocks from the White House
  - Impact[50] NLP[0.0]: Truck crashed into apartment building on 13th and Lynn Street
  - Impact[0] NLP[0.0]: One person in the hospital after head-on collision on U.S. 50; All lanes re-opened on U.S. 50
  - Impact[50] NLP[0.0]: The Cook’s Shop: 15 years of serving Marietta with quality kitchen essentials
  - Impact[50] NLP[0.0]: Tradition continues at WCCC with annual Thanksgiving Luncheon 
  - Impact[0] NLP[0.0]: Black Friday preview from Grand Central Mall 
  - Impact[0] NLP[0.0]: MOVHD on Thanksgiving food safety
  - Impact[50] NLP[0.0]: 2nd annual Meals for Veterans by Marietta Noon Rotary
  - Impact[50] NLP[0.0]: This Day in History: Nov. 26, 2025
  - Impact[50] NLP[0.22]: St. Marys water rates increase for residents and businesses
  - Impact[0] NLP[0.0]: Whooping cough in the Mid-Ohio Valley
  - Impact[40] NLP[0.05]: Disaster relief available for drought-affected businesses in Ohio, West Virginia
  - Impact[0] NLP[0.0]: Agents seize more than $775,000 worth of counterfeit toys shipped from China
  - Impact[0] NLP[0.73]: Colder weather moving into the Mid-Ohio Valley.
  - Impact[50] NLP[0.0]: Clutch Collective offers handmade gifts from over 80 artists for holiday season
  - Impact[15] NLP[0.0]: Travel ban for all high-profile vehicles on the Ohio Turnpike begins Wednesday
  - Impact[50] NLP[0.0]: MCF completes Stock the Shelves Challenge
  - Impact[0] NLP[0.0]: Thunderbolt Running and Timing promotes community fitness through group runs
  - Impact[50] NLP[0.0]: Groundbreaking ceremony for New Lincoln Elementary
  - Impact[75] NLP[0.0]: Candlelight vigil held for National Guard Specialist from Webster County 
  - Impact[0] NLP[0.0]: Suspect in shooting of National Guard members faces murder charge as US halts all asylum decisions
  - Impact[22] NLP[0.25]: A wintry mess of precipitation could cause you problems on Sunday.  Another storm could do the same next week.
  - Impact[0] NLP[0.0]: UPDATE: Morrisey requests statewide moment of silence for National Guard members shot in D.C.
  - Impact[0] NLP[0.0]: Trump says one of the two West Virginia National Guard members shot by Afghan national has died 
  - Impact[0] NLP[0.0]: Trump administration orders 500 more National Guard troops to DC after shooting of soldiers
  - Impact[10] NLP[0.0]: Morgantown man arrested for sexually abusing 9-year-old daughter in 2004
  - Impact[50] NLP[0.0]: UPDATE: 17-year-old juvenile found safe
  - Impact[0] NLP[0.0]: UPDATE: W.Va. Board of Education to allow religious vaccine exemptions pending appeal
  - Impact[65] NLP[0.08]: Salvation Army major returns to service after surviving traumatic motorcycle crash
  - Impact[0] NLP[0.0]: 2 National Guard members shot in an ambush attack just blocks from the White House
  - Impact[0] NLP[0.0]: MCHD Dentistry hosts Healthy Smiles Day in Monongalia County
  - Impact[0] NLP[0.0]: Meadowbrook Mall giving away discounts, prizes to first 200 people on Black Friday
  - Impact[100] NLP[0.27]: UPDATE: Truck driver who caused fatal Cheat Lake accident booked into jail by ICE
  - Impact[0] NLP[0.0]: Gov. Morrisey shares tips on how to avoid scams during holiday season
  - Impact[0] NLP[0.0]: IRS files $5 million lawsuit against West Virginia Senator Jim Justice
  - Impact[0] NLP[0.0]: Hundreds of thousands of dollars worth of counterfeit toys seized in Virginia
  - Impact[0] NLP[0.0]: Local nonprofit hosts second annual “Petsgiving” 
  - Impact[50] NLP[0.0]: Salem University looking to start new Psychedelic Education program
  - Impact[50] NLP[0.0]: State Police accepts donations for ‘State Troopers for West Virginia Needy’ campaign
  - Impact[0] NLP[0.0]: WVU Medicine Children’s holding community toy drive for holiday donations
  - Impact[30] NLP[0.31]: Rain could begin as snow on Sunday, but is there another chance next week?
  - Impact[50] NLP[0.0]: UPDATE: Runaway teen from Upshur County has now been found 
  - Impact[0] NLP[0.0]: Jennifer Garner visits schools and homes in her native W.Va.
  - Impact[0] NLP[0.0]: Big changes are coming just as Thanksgiving is arriving, but what are they?
  - Impact[0] NLP[0.0]: Wesleyan College provides new columbarium to be located in chapel on campus
  - Impact[0] NLP[0.0]: State Police announce sobriety checkpoint in Randolph County in December
  - Impact[50] NLP[0.0]: Woman arrested for slashing dog’s face with knife in Harrison County
  - Impact[0] NLP[0.0]: Marion County man arrested for child abuse
  - Impact[50] NLP[0.18]: Midstate Plumbing & Air gives away turkeys for Thanksgiving
  - Impact[0] NLP[0.0]: Erskine construction hands out 200 turkeys
  - Impact[7] NLP[0.4]: Rain showers continue in NCWV, when will they end?
  - Impact[0] NLP[0.2]: If you’re traveling for the holiday, will you need to worry about any weather-related travel problems?
  - Impact[50] NLP[0.0]: Kings Hands Boxing Club  holds ribbon cutting in Stonewood
  - Impact[0] NLP[0.0]: Canaan Valley Wildlife Refuge giving away free, real Christmas trees this holiday season
  - Impact[0] NLP[0.17]: Pulaski County mother, children lose home to fire just before Thanksgiving 
  - Impact[0] NLP[0.0]: Floyd County community, church leader dies
  - Impact[50] NLP[0.0]: Somerset church uses numerous donations to help community after TikTok challenge 
  - Impact[0] NLP[0.0]: FIRST ALERT FORECAST: Freezing Black Friday temperatures
  - Impact[0] NLP[0.0]: B-Rob’s Christmas in the Mountains underway
  - Impact[0] NLP[0.0]: Berea’s Artisan Village preparing for Shop Small Business Saturday
  - Impact[0] NLP[0.0]: Shoppers show up, line up for Black Friday deals
  - Impact[50] NLP[0.0]: Country star Tyler Childers spotted at Paintsville Walmart on Black Friday
  - Impact[0] NLP[0.0]: Local real estate broker analyzes how a proposed 50-year mortgage plan would impact in the mountains
  - Impact[50] NLP[0.0]: Somerset couple charged with child sexual exploitation 
  - Impact[0] NLP[0.0]: Former Breathitt County Sheriff dies
  - Impact[0] NLP[0.3]: Morehead duplex catches on fire Thanksgiving evening
  - Impact[50] NLP[0.0]: Communities honor West Virginia National Guard members shot in Washington
  - Impact[0] NLP[0.16]: London deputy fire chief dies at 85
  - Impact[65] NLP[0.5]: One dead after four-wheeler crash
  - Impact[0] NLP[0.0]: Boar’s Head products sold in Kentucky recalled over possible listeria contamination 
  - Impact[0] NLP[0.0]: Black Friday weekend projected to reach record number of shoppers
  - Impact[37] NLP[0.22]: Death toll rises to 128 in Hong Kong residential fire; 8 more arrested over towers’ renovation
  - Impact[0] NLP[0.0]: Walgreens recalls nasal spray over possible contamination
  - Impact[0] NLP[0.0]: Tennessee business supports Logan’s Law
  - Impact[15] NLP[0.19]: Juveniles injured in Pike Co. shooting
  - Impact[0] NLP[0.0]: Coroner rules woman found unresponsive died of natural causes
  - Impact[0] NLP[0.0]: 2 National Guard members shot in an ambush attack just blocks from the White House
  - Impact[0] NLP[0.0]: Vice President Vance arrives in downtown Lexington; motorcade causing some traffic delays
  - Impact[0] NLP[0.0]: Kentucky State Police launch sale of trooper teddy bears to support children in crisis
  - Impact[0] NLP[0.0]: Better Business Bureau warns shoppers of holiday scams
  - Impact[50] NLP[0.0]: Authorities searching for missing man
  - Impact[0] NLP[0.0]: Hazard Turkey Trot brings community together on Thanksgiving morning
  - Impact[0] NLP[0.0]: FIRST ALERT FORECAST: Cold temperatures for your Turkey Day
  - Impact[5] NLP[0.13]: FIRST ALERT FORECAST: Chilly temperatures start today
  - Impact[25] NLP[0.1]: Hit-and-run survivor thanks community for support 
  - Impact[0] NLP[0.0]: Man sentenced for money laundering conspiracy involving COVID relief loans
  - Impact[0] NLP[0.0]: Man charged after reportedly firing shots toward wife
  - Impact[0] NLP[0.11]: Gov. Beshear announces funding to improve water service for homes in Powell Co.
  - Impact[50] NLP[0.0]: Students face food insecurity, school provides resources
  - Impact[0] NLP[0.0]: Capito honors memory of U.S. Army Spc. Beckstrom
  - Impact[0] NLP[0.0]: Meadowbrook Malls hands out Black Friday prizes, swag bags
  - Impact[0] NLP[0.0]: GHSP asks families to speak to older drivers about safety
  - Impact[0] NLP[0.0]: President considers attending Beckstrom's funeral
  - Impact[0] NLP[0.0]: West Virginia Ranks 2nd in homes without internet: Study
  - Impact[0] NLP[0.0]: Gov. Morrisey requests moment of silence for WVNG members
  - Impact[0] NLP[0.0]: Morrisey speaks on shooting of two WVNG members
  - Impact[10] NLP[0.0]: Runners in Morgantown's Turkey Trot gobble to finish line
  - Impact[65] NLP[0.21]: Webster Co rallies behind WVNG member injured in shooting
  - Impact[0] NLP[0.0]: Authorities identify WVNG members shot in DC
  - Impact[0] NLP[0.0]: WVNG's U.S. Army Spc. Sarah Beckstrom passes away
  - Impact[0] NLP[0.0]: Hundreds eat Thanksgiving meals at WV state parks
  - Impact[0] NLP[0.0]: Annual Gobble Gallop sees highest attendance yet
  - Impact[50] NLP[0.0]: Webster Co gathers for second vigil honoring Beckstrom
  - Impact[50] NLP[0.0]: Youth USA Boxing Team 412 visits Clarksburg
  - Impact[60] NLP[0.33]: Home heavily damaged after overnight fire in Clarksburg
  - Impact[0] NLP[0.0]: Ohio Senate passes ‘Avery’s Law’ to crack down on dangerous dogs and their owners
  - Impact[22] NLP[0.29]: Snow alerts across USA: slow travel ahead
  - Impact[80] NLP[0.75]: One person dead, two injured in Gallia County 4-vehicle crash
  - Impact[0] NLP[0.0]: ‘A peacekeeper’: Senator Shelley Moore Capito honors memory of fallen U.S. Army Specialist Sarah Beckstrom
  - Impact[37] NLP[0.0]: Fallen Soldier Procession motorcade escorts body of WVNG member Spc. Sarah Beckstrom shot, killed in DC
  - Impact[0] NLP[0.0]: Ohio man sentenced for posing as teenage boy to coerce young girls into self-harm, sexual activity
  - Impact[87] NLP[0.0]: Webster Springs community mourns West Virginia National Guard member killed in attack
  - Impact[0] NLP[0.0]: Suspect in shooting of West Virginia National Guard members now facing a first-degree murder charge after Spc. Beckstrom dies
  - Impact[0] NLP[0.0]: President considers attending U.S. Army Spc. Beckstrom’s funeral
  - Impact[0] NLP[0.0]: Trump vows to ‘permanently pause’ migration from ‘Third World Countries’ after DC shooting
  - Impact[0] NLP[0.0]: West Virginia National Guard’s U.S. Army Spc. Sarah Beckstrom passes away
  - Impact[50] NLP[0.0]: Annual Model Railroad Show returns to Huntington
  - Impact[7] NLP[0.0]: Raceland advances to state championship game with win over Pikeville
  - Impact[50] NLP[0.0]: Holly Jolly Brawley offers opportunities for small businesses in Kanawha County
  - Impact[50] NLP[0.0]: Kanawha Charleston Humane Association hosts annual Black Friday adoption event to find animals forever homes
  - Impact[0] NLP[0.0]: On the Record: Remembering Spc. Sarah Beckstrom
  - Impact[50] NLP[0.0]: Kanawha County Sheriff's Office seeking assistance in finding missing teenager
  - Impact[50] NLP[0.0]: Charleston man charged with DUI after allegedly hitting pedestrian with vehicle
  - Impact[0] NLP[0.0]: Man accused of theft, damaging property at Raleigh County cell tower, deputies say 
  - Impact[50] NLP[0.0]: Man faces nearly 20 charges after leading pursuit through Kanawha County in stolen vehicle
  - Impact[117] NLP[0.42]: Man killed, 2 injured in 4-vehicle crash in Gallia County, Ohio
  - Impact[0] NLP[0.0]: Law enforcement respond to home of U.S. Sen. Shelley Moore Capito after online comment
  - Impact[0] NLP[0.0]: WVSSAC announces semifinal high school football games for Nov. 28-29
  - Impact[0] NLP[0.0]: West Virginia National Guard member Sarah Beckstrom dies after DC shooting, governor says
  - Impact[0] NLP[0.0]: High School Football Scores: Week 15
  - Impact[50] NLP[0.0]: 'There will be justice': W.Va. governor addresses state's National Guard troops in DC
  - Impact[50] NLP[0.0]: Police: Ohio man accused of breaking into the restaurant he worked at, stealing cash
  - Impact[0] NLP[0.0]: Refugee vetting under renewed scrutiny after D.C. shooting
  - Impact[0] NLP[0.0]: Trump calls for migration pause after D.C. shooting, targets MN governor with slur
  - Impact[50] NLP[0.0]: Deployment of WVNG under additional scrutiny following D.C. shooting
  - Impact[87] NLP[0.09]: Kanawha teen's tragic death highlights the rising threat of sextortion across the country
  - Impact[87] NLP[0.07]: State officials react to shooting death of W.Va. National Guard member Sarah Beckstrom
  - Impact[35] NLP[0.0]: MSHA releases preliminary report on deadly mine accident in Nicholas County
  - Impact[50] NLP[0.0]: Webster Springs holds vigil for local National Guard members shot in Washington, D.C.
  - Impact[50] NLP[0.0]: Barboursville School to close in February, widens mental health placement gaps in W.Va. 
  - Impact[0] NLP[0.0]: Trump administration announces savings with new drug price negotiations
  - Impact[50] NLP[0.0]: Kanawha County teen located after being reported missing, deputies say
  - Impact[0] NLP[0.0]: Project Prevention pays addicts to get on long-term birth control or sterilized
  - Impact[50] NLP[0.0]: Gallipolis police asking for assistance in finding 3 missing Gallia County teens
  - Impact[87] NLP[0.11]: Logan murder victim remembered as devoted father, outgoing friend
  - Impact[0] NLP[0.0]: Asteroid YR4 poses 4% chance of hitting moon in 2032, NASA explores deflection plan
  - Impact[0] NLP[0.0]: Holiday of Light’s ‘Mistletoe Market’ sparks excitement with outdoor shopping
  - Impact[0] NLP[0.0]: West Virginia governor asks for prayers after National Guard shooting
  - Impact[0] NLP[0.0]: Tazewell Police Department launches inaugural Stuff-a-Cruiser toy drive
  - Impact[0] NLP[0.0]: What we do and don’t know about the shooting of 2 National Guard members in DC 
  - Impact[0] NLP[0.0]: Coaltown Tavern hosted a community Thanksgiving dinner
  - Impact[0] NLP[0.0]: WVU researchers bring community-led drug prevention to 36 rural counties 
  - Impact[0] NLP[0.0]: Labor force participation in 2025: what Virginians and West Virginians need to know 
  - Impact[0] NLP[0.0]: Interview @ Noon: The Village Market Pop-Up comes to Bluefield, WV
  - Impact[0] NLP[0.0]: Interview @ Noon: Cast of ‘Cryptid’ to discuss filming in Mercer County, WV 
  - Impact[0] NLP[0.0]: Walmart recalls Ozark Trail camping stoves after reports of explosions and burn injuries
  - Impact[50] NLP[0.0]: One WV National Guard member passes away after being shot in D.C. in ‘targeted’ attack; Suspect charged
  - Impact[0] NLP[0.0]: More than 3 dozen sickened in infant botulism outbreak tied to contaminated formula
  - Impact[0] NLP[0.0]: VA Capitol Christmas Tree preparing to glow
  - Impact[0] NLP[0.0]: ’Tis the season to beware of scammers: AAA offers tips to avoid getting scrooged online
  - Impact[0] NLP[0.0]: New study: WV among top 10 states for pregnancy-related high blood pressure 
  - Impact[0] NLP[0.0]: Giftflation explained: budget tips for holiday shoppers
  - Impact[7] NLP[0.0]: Westside cheerleaders crowned state champions; victory parade set for Dec. 1 
  - Impact[0] NLP[0.0]: Man arrested after larceny investigation at Harper Heights telecom site 
  - Impact[0] NLP[0.0]: Suspect in shooting of National Guard members faces murder charge as US halts all asylum decisions
  - Impact[0] NLP[0.0]: JMU researcher shares diabetes prevention tips amid holiday season
  - Impact[0] NLP[0.0]: Families urged to discuss driving safety as population of older drivers grows
  - Impact[50] NLP[0.0]: November Athlete of the Month: Oak Hill’s Bella Holly
  - Impact[22] NLP[0.27]: A few flurries this morning, with a bit more snow for the western mountains
  - Impact[0] NLP[0.0]: Holiday of Lights opens for 2025-2026 season
  - Impact[50] NLP[0.0]: Beckley Salvation Army celebrates first Thanksgiving in new facility
  - Impact[0] NLP[0.0]: Dolly’s Diner provides free Thanksgiving meals to Mercer County community
  - Impact[0] NLP[0.0]: Bluefield Union Mission feeds community on Thanksgiving Day 
  - Impact[0] NLP[0.0]: Hometown Hero: Dr. Eric Shrader
  - Impact[0] NLP[0.0]: WVVA’s Pigskin Prophet: Week 13 
  - Impact[50] NLP[0.0]: Warriors Ready to Take the Next Step
  - Impact[0] NLP[0.0]: See some of your results from WVVA's '20 Days of Giving'
  - Impact[0] NLP[0.4]: Chilly and windy for Thanksgiving, with colder weather tonight
  - Impact[0] NLP[0.0]: Small Business Administration urges shoppers to support local businesses
  - Impact[0] NLP[0.0]: Restaurant gives back to McDowell County community on Thanksgiving
  - Impact[0] NLP[0.0]: AAA shares safety tips for busy holiday shopping areas
  - Impact[0] NLP[0.0]: Bristol Rhythm & Roots announces more of its 2026 lineup
  - Impact[0] NLP[0.0]: KPT small businesses prep for holiday weekend shoppers
  - Impact[0] NLP[0.0]: VSP: Warrants issued for missing Union football coach
  - Impact[0] NLP[0.0]: Over 5,000 runners compete in 20th annual Turkey Trot
  - Impact[0] NLP[0.0]: Haven of Mercy Ministries feeds 4,000 community members
  - Impact[0] NLP[0.0]: Fern & Fable Collective to open Friday in Jonesborough
  - Impact[50] NLP[0.0]: Feast of Sharing provides warm meal & clothes
  - Impact[7] NLP[0.0]: Preparations underway for Union HS game as search continues
  - Impact[0] NLP[0.0]: DC shooting suspect worked for CIA in Afghanistan: CIA
  - Impact[0] NLP[0.33]: Family and friends of double homicide victims speak out
  - Impact[0] NLP[0.0]: Timeline: The search for fugitive coach Travis Turner
  - Impact[5] NLP[0.67]: Clouds and cold overnight, sun and clouds Saturday
  - Impact[37] NLP[0.27]: Brights Zoo announces death of rare giraffe Kipekee
  - Impact[0] NLP[0.0]: 1 of 2 National Guard members shot near White House dies
  - Impact[0] NLP[0.0]: Jonesborough shines with Christmas tree lighting
  - Impact[0] NLP[0.35]: Candle near combustible cause of fire in Bristol, Va.
  - Impact[0] NLP[0.0]: Residents discuss why they shop in-person on Black Friday
  - Impact[10] NLP[0.12]: Older brother recounts rescuing 10-year-old in ATV accident
  - Impact[0] NLP[0.0]: Family of Travis Turner claims Turner left residence with firearm
  - Impact[0] NLP[0.0]: Local couple faces raises concerns about local dealership
  - Impact[0] NLP[0.0]: High School Football Scores: November 28, 2025
  - Impact[0] NLP[0.0]: Manhunt continues for fugitive Southwest Virginia high school football coach
  - Impact[0] NLP[0.0]: UPDATE: Man surrenders after tense standoff with Greene County deputies
  - Impact[0] NLP[0.0]: Shoppers flock to The Pinnacle for Black Friday bargains, kicking off holiday season early
  - Impact[0] NLP[0.0]: Bristol community mourns after double homicide on Lily Street
  - Impact[0] NLP[0.0]: Bristol Rhythm & Roots Reunion unveils initial 25th anniversary lineup
  - Impact[0] NLP[0.0]: New $80M resort opens in Pigeon Forge, a big draw for Tennessee vacationers
  - Impact[0] NLP[0.43]: Bristol Virginia Fire Department responds to Thanksgiving house fire
  - Impact[0] NLP[0.0]: 3 local football teams play Friday: a closer look
  - Impact[0] NLP[0.0]: 7 women facing contraband-related charges in Washington County, Tennessee, authorities say
  - Impact[0] NLP[0.0]: Wreaths Across America coming up in December in Johnson City
  - Impact[0] NLP[0.0]: Tennessee inmate who killed Chattanooga State student declines to choose execution method
  - Impact[0] NLP[0.0]: Missing Virginia high school coach charged with child pornography, police say
  - Impact[0] NLP[0.0]: Eastside and Rye Cove gear up for region championship rematch
  - Impact[0] NLP[0.0]: Rye Cove advances to state semifinals, Eastside and Greeneville's seasons come to an end
  - Impact[0] NLP[0.0]: Bristol, Tennessee police investigating double homicide, victims identified
  - Impact[0] NLP[0.0]: Bristol, Virginia church serves holiday spirit with annual Thanksgiving meal for community
  - Impact[0] NLP[0.0]: Coaches weigh in ahead of postseason weekend
  - Impact[0] NLP[0.0]: Tennessee's 7th District race draws national spotlight as election nears
  - Impact[0] NLP[0.0]: Spotless giraffe Kipekee passes away at Brights Zoo
  - Impact[0] NLP[0.0]: Stateline Sports Reporters Podcast: Ridgeview vs Union Preview
  - Impact[0] NLP[0.0]: UPDATE: Virginia State Police searching for Union head football coach Travis Turner
  - Impact[0] NLP[0.0]: High School Basketball Scores and Highlights: November 28, 2025
  - Impact[87] NLP[0.0]: Webster Springs community mourns West Virginia National Guard member killed in attack
  - Impact[0] NLP[0.0]: Is giftflation blowing up your holiday budget? Here’s how to fight it.
  - Impact[65] NLP[0.33]: Person facing charges in Kanawha County side-by-side crash
  - Impact[0] NLP[0.0]: Pretended to be 14-year-old boy and coerced young girls into self-harm, sexual activity online for years – 53-year-old Ohio man sentenced
  - Impact[0] NLP[0.0]: West Virginia National Guard’s U.S. Army Spc. Sarah Beckstrom passes away
  - Impact[0] NLP[0.0]: StormTracker 59’s 2025-26 Winter Season Outlook for the two-Virginias
  - Impact[20] NLP[0.25]: Brutal wind chills arrive for Thanksgiving, cold temperatures to continue
  - Impact[0] NLP[0.0]: Tips on keeping up with your packages this holiday season
  - Impact[0] NLP[0.0]: Tips on staying ahead of travel delays this holiday season
  - Impact[0] NLP[0.0]: Thanksgiving Travel projections expect busy week on highways, at airports
  - Impact[0] NLP[0.0]: What a federal ban on THC-infused drinks and snacks could mean for the hemp industry
  - Impact[0] NLP[0.0]: Trump says he’s canceling all executive orders Biden didn’t personally sign
  - Impact[0] NLP[0.0]: Holiday shoppers looking for ways to stretch a dollar
  - Impact[0] NLP[0.0]: Gas prices drop below $3 per gallon, lowest since 2021
  - Impact[0] NLP[0.0]: President considers attending U.S. Army Spc. Beckstrom’s funeral
  - Impact[0] NLP[0.0]: ‘A peacekeeper’: Senator Shelley Moore Capito honors memory of fallen U.S. Army Specialist Sarah Beckstrom
  - Impact[0] NLP[0.0]: Walmart recalls 200K camp stoves over burn risk
  - Impact[0] NLP[0.0]: Quilts of Valor honor unique stories of service

Database insertion/update complete. 293 stories were processed and inserted/updated.
Cleaning duplicate summaries from the database...
Cleaned 16 duplicate entries.
Process finished and connection closed.
